using System;
using System.Collections.Generic;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using System.Windows.Media.Animation;

namespace SimpleCodeAnimation
{
    /// <summary>
    /// Interaction logic for AccelerateDecelerate.xaml
    /// </summary>

    public partial class AccelerateDecelerate : System.Windows.Window
    {

        public AccelerateDecelerate()
        {
            InitializeComponent();
        }


        protected override void OnMouseDown(MouseButtonEventArgs e)
        {
            DoubleAnimation animate = new DoubleAnimation();
            animate.By = 100;
            animate.Duration = new Duration(TimeSpan.FromSeconds(3));

            // Example 16-4. Acceleration and deceleration.

            animate.AccelerationRatio = 0.2;
            animate.DecelerationRatio = 0.1;

            // End of Example 16-4

            myEllipse.BeginAnimation(Ellipse.WidthProperty, animate);
        }
    }
}